package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.TBCrm;
import com.qmth.sop.common.enums.ProductTypeEnum;
import com.qmth.sop.common.enums.ServiceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class TBCrmResult extends TBCrm implements Serializable {

    @ApiModelProperty(value = "服务单元")
    private String service;

    @ApiModelProperty(value = "派单人")
    private String crmUserName;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty(value = "实施产品")
    private String product;

    @ApiModelProperty(value = "大区经理")
    private String leadName;

    @ApiModelProperty(value = "提交人")
    private String createName;

    @ApiModelProperty(value = "服务单元状态")
    private ServiceStatusEnum serviceUnitStatus;

    @ApiModelProperty(value = "区域协调人")
    private String regionCoordinator;

    @ApiModelProperty(value = "供应商")
    private String supplier;

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getCrmUserName() {
        return crmUserName;
    }

    public void setCrmUserName(String crmUserName) {
        this.crmUserName = crmUserName;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public ServiceStatusEnum getServiceUnitStatus() {
        return serviceUnitStatus;
    }

    public void setServiceUnitStatus(ServiceStatusEnum serviceUnitStatus) {
        this.serviceUnitStatus = serviceUnitStatus;
    }

    public String getRegionCoordinator() {
        return regionCoordinator;
    }

    public void setRegionCoordinator(String regionCoordinator) {
        this.regionCoordinator = regionCoordinator;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }
}
